import type { ApplicationKey } from '../types/models';
export declare const BasisTheoryApplicationKeys: {
    new (options: import("../service/types").BasisTheoryServiceOptions): {
        create(applicationId: string): Promise<ApplicationKey>;
        get(applicationId: string): Promise<ApplicationKey[]>;
        getById(applicationId: string, keyId: string): Promise<ApplicationKey>;
        delete(applicationId: string, keyId: string): Promise<void>;
        readonly client: import("axios").AxiosInstance;
    };
};
export type BasisTheoryApplicationKeys = InstanceType<typeof BasisTheoryApplicationKeys>;
