import type { Application, CreateApplication, UpdateApplication } from '../types/models';
import type { ListApplicationsQuery, RequestOptions } from '../types/sdk';
export declare const BasisTheoryApplications: {
    new (options: import("../service/types").BasisTheoryServiceOptions): {
        /**
         * @deprecated use {@link retrieveByKey} instead
         */
        getApplicationByKey(): Promise<Application>;
        retrieveByKey(options?: RequestOptions): Promise<Application>;
        /**
         * @deprecated This method is deprecated. Use Terraform or https://portal.basistheory.com to manage keys instead.
         */
        regenerateKey(id: string, options?: RequestOptions): Promise<Application>;
        readonly client: import("axios").AxiosInstance;
    };
} & (new (...args: any[]) => import("../types/sdk/services/shared").Create<Application, CreateApplication>) & (new (...args: any[]) => import("../types/sdk/services/shared").Retrieve<Application>) & (new (...args: any[]) => import("../types/sdk/services/shared").Update<Application, UpdateApplication>) & (new (...args: any[]) => import("../types/sdk/services/shared").Delete) & (new (...args: any[]) => import("../types/sdk/services/shared").List<Application, ListApplicationsQuery>);
export type BasisTheoryApplications = InstanceType<typeof BasisTheoryApplications>;
