import type { BasisTheoryServicesBasePathMap } from '../types/sdk';
declare const WEB_ELEMENTS_VERSION = "1.7.2";
declare const API_KEY_HEADER = "BT-API-KEY";
declare const BT_TRACE_ID_HEADER = "bt-trace-id";
declare const CF_RAY_HEADER = "cf-ray";
declare const BT_IDEMPOTENCY_KEY_HEADER = "bt-idempotency-key";
declare const BT_EXPOSE_PROXY_RESPONSE_HEADER = "BT-EXPOSE-RAW-PROXY-RESPONSE";
declare const CONTENT_TYPE_HEADER = "Content-Type";
declare const MERGE_CONTENT_TYPE = "application/merge-patch+json";
declare const USER_AGENT_HEADER = "User-Agent";
declare const CLIENT_USER_AGENT_HEADER = "BT-CLIENT-USER-AGENT";
declare const USER_AGENT_CLIENT = "BasisTheoryJS";
declare const DEFAULT_BASE_URL: string;
declare const DEFAULT_ELEMENTS_BASE_URL: string;
declare const DD_TOKEN: string | undefined;
declare const DD_GIT_SHA: string | undefined;
declare const CLIENT_BASE_PATHS: BasisTheoryServicesBasePathMap;
declare const BROWSER_LIST: {
    browserName: string;
    browserUA: string;
}[];
export { API_KEY_HEADER, BROWSER_LIST, BT_EXPOSE_PROXY_RESPONSE_HEADER, BT_IDEMPOTENCY_KEY_HEADER, BT_TRACE_ID_HEADER, CF_RAY_HEADER, CLIENT_BASE_PATHS, CLIENT_USER_AGENT_HEADER, CONTENT_TYPE_HEADER, DD_GIT_SHA, DD_TOKEN, DEFAULT_BASE_URL, DEFAULT_ELEMENTS_BASE_URL, MERGE_CONTENT_TYPE, USER_AGENT_CLIENT, USER_AGENT_HEADER, WEB_ELEMENTS_VERSION, };
