import { BasisTheoryService } from '../service';
import type { BasisTheoryServiceOptions } from '../service';
import type { RequestOptions } from '../types/sdk';
import type { CreateSessionResponse, AuthorizeSessionRequest, Sessions } from '../types/sdk/services/sessions';
export declare class BasisTheorySessions extends BasisTheoryService implements Sessions {
    constructor(options: BasisTheoryServiceOptions);
    create(options?: RequestOptions): Promise<CreateSessionResponse>;
    authorize(authorizeSessionRequest: AuthorizeSessionRequest, options?: RequestOptions): Promise<void>;
}
