interface CardDetails {
    bin?: string;
    last4?: string;
    expirationMonth?: number;
    expirationYear?: number;
    brand?: CardBrandType;
    funding?: FundingType;
    authentication?: string;
}
declare const enrichmentCardBrands: readonly ["american-express", "diners-club", "discover", "ebt", "elo", "hiper", "hipercard", "jcb", "maestro", "mastercard", "mir", "private-label", "proprietary", "unionpay", "visa"];
type CardBrandType = typeof enrichmentCardBrands[number];
declare const enrichmentFundingTypes: readonly ["prepaid", "credit", "debit"];
type FundingType = typeof enrichmentFundingTypes[number];
export type { CardDetails, CardBrandType, FundingType };
export { enrichmentCardBrands, enrichmentFundingTypes };
