import type { FieldError } from '../types/elements';
export declare class BasisTheoryValidationError<Details = Record<string, any>> extends Error {
    readonly details: Details;
    /**
     * @deprecated use {@link details}
     */
    readonly validation?: FieldError[] | undefined;
    constructor(message: string, details: Details, 
    /**
     * @deprecated use {@link details}
     */
    validation?: FieldError[] | undefined);
}
