import type { BasisTheoryServiceOptions } from '../service';
import type { Reactor, CreateReactor, UpdateReactor, ReactResponse, PatchReactor } from '../types/models';
import type { ListReactorQuery, ReactRequest, RequestOptions } from '../types/sdk';
export declare const BasisTheoryReactors: {
    new (options: BasisTheoryServiceOptions): {
        react(reactorId: string, request: ReactRequest, options?: RequestOptions): Promise<ReactResponse>;
        readonly client: import("axios").AxiosInstance;
    };
} & (new (...args: any[]) => import("../types/sdk/services/shared").Create<Reactor, CreateReactor>) & (new (...args: any[]) => import("../types/sdk/services/shared").Retrieve<Reactor>) & (new (...args: any[]) => import("../types/sdk/services/shared").Update<Reactor, UpdateReactor>) & (new (...args: any[]) => import("../types/sdk/services/shared").Patch<PatchReactor>) & (new (...args: any[]) => import("../types/sdk/services/shared").Delete) & (new (...args: any[]) => import("../types/sdk/services/shared").List<Reactor, ListReactorQuery>);
export type BasisTheoryReactors = InstanceType<typeof BasisTheoryReactors>;
