import { BasisTheoryService } from '../service';
import { AuthenticateThreeDSSessionRequest, CreateThreeDSSessionRequest, CreateThreeDSSessionResponse, ThreeDSAuthentication, ThreeDSSession } from '../types/models/threeds';
import { ThreeDS } from '../types/sdk/services/threeds';
export declare class BasisTheoryThreeDS extends BasisTheoryService implements ThreeDS {
    createSession(createRequest: CreateThreeDSSessionRequest): Promise<CreateThreeDSSessionResponse>;
    getSessionById(sessionId: string): Promise<ThreeDSSession>;
    authenticateSession(sessionId: string, authenticateRequest: AuthenticateThreeDSSessionRequest): Promise<ThreeDSAuthentication>;
    getChallengeResult(sessionId: string): Promise<ThreeDSAuthentication>;
}
