import { BasisTheoryServiceOptions } from '../service';
import type { Token, CreateToken, UpdateToken } from '../types/models';
import type { PaginatedList, RequestOptions, ListTokensQuery, SearchTokensRequest } from '../types/sdk';
export declare const BasisTheoryTokens: {
    new (options: BasisTheoryServiceOptions): {
        retrieve(id: string, options?: RequestOptions): Promise<Token<any>>;
        update(id: string, model: UpdateToken, options?: RequestOptions): Promise<Token>;
        search(searchRequest: SearchTokensRequest, options?: RequestOptions): Promise<PaginatedList<Token>>;
        readonly client: import("axios").AxiosInstance;
    };
} & (new (...args: any[]) => import("../types/sdk/services/shared").Create<Token, CreateToken>) & (new (...args: any[]) => import("../types/sdk/services/shared").Delete) & (new (...args: any[]) => import("../types/sdk/services/shared").List<Token, ListTokensQuery>);
export type BasisTheoryTokens = InstanceType<typeof BasisTheoryTokens>;
